> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# chatbotkit-bots

> ChatBotKit Bots - create and manage bots, skillsets, and abilities

**Server path:** `/chatbotkit-bots` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                      | Description                           |
| ----------------------------------------------------------------------------------------- | ------------------------------------- |
| [`chatbotkit_bots_clone_bot`](#chatbotkit_bots_clone_bot)                                 | Clone bot                             |
| [`chatbotkit_bots_create_bot`](#chatbotkit_bots_create_bot)                               | Create bot                            |
| [`chatbotkit_bots_create_bot_session`](#chatbotkit_bots_create_bot_session)               | Create bot session                    |
| [`chatbotkit_bots_create_skillset`](#chatbotkit_bots_create_skillset)                     | Create skillset                       |
| [`chatbotkit_bots_create_skillset_ability`](#chatbotkit_bots_create_skillset_ability)     | Create ability                        |
| [`chatbotkit_bots_delete_bot`](#chatbotkit_bots_delete_bot)                               | Delete a bot                          |
| [`chatbotkit_bots_delete_skillset`](#chatbotkit_bots_delete_skillset)                     | Delete a skillset                     |
| [`chatbotkit_bots_delete_skillset_ability`](#chatbotkit_bots_delete_skillset_ability)     | Delete a ability from a skillset      |
| [`chatbotkit_bots_execute_skillset_ability`](#chatbotkit_bots_execute_skillset_ability)   | Execute a skillset ability            |
| [`chatbotkit_bots_export_skillset_abilities`](#chatbotkit_bots_export_skillset_abilities) | Export skillset abilities             |
| [`chatbotkit_bots_fetch_bot`](#chatbotkit_bots_fetch_bot)                                 | Fetch a bot                           |
| [`chatbotkit_bots_fetch_skillset`](#chatbotkit_bots_fetch_skillset)                       | Fetch a skillset                      |
| [`chatbotkit_bots_fetch_skillset_ability`](#chatbotkit_bots_fetch_skillset_ability)       | Fetch a ability from a skillset       |
| [`chatbotkit_bots_list_bots`](#chatbotkit_bots_list_bots)                                 | Retrieve a list of bots               |
| [`chatbotkit_bots_list_skillset_abilities`](#chatbotkit_bots_list_skillset_abilities)     | Retrieve a list of skillset abilities |
| [`chatbotkit_bots_list_skillsets`](#chatbotkit_bots_list_skillsets)                       | Retrieve a list of skillsets          |
| [`chatbotkit_bots_search_bot_memory`](#chatbotkit_bots_search_bot_memory)                 | Search memories for a specific bot    |
| [`chatbotkit_bots_update_bot`](#chatbotkit_bots_update_bot)                               | Update bot                            |
| [`chatbotkit_bots_update_skillset`](#chatbotkit_bots_update_skillset)                     | Update skillset                       |
| [`chatbotkit_bots_update_skillset_ability`](#chatbotkit_bots_update_skillset_ability)     | Update a skillset ability             |

***

## chatbotkit\_bots\_clone\_bot

Clone bot

**Parameters:**

| Parameter | Type   | Required | Default | Description  |
| --------- | ------ | -------- | ------- | ------------ |
| `botId`   | string | Yes      | —       | Bot Id       |
| `body`    | object | Yes      | —       | Request body |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "botId": {
        "type": "string",
        "description": "Bot Id"
      },
      "body": {
        "type": "object",
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "botId",
      "body"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_create\_bot

Create bot

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                        |
| ------------- | ------- | -------- | ------- | -------------------------------------------------- |
| `alias`       | string  | No       | —       | The unique alias for the instance                  |
| `backstory`   | string  | No       | —       | The backstory this configuration is using          |
| `blueprintId` | string  | No       | —       | The ID of the blueprint                            |
| `datasetId`   | string  | No       | —       | The id of the dataset this configuration is using  |
| `description` | string  | No       | —       | The associated description                         |
| `meta`        | object  | No       | —       | Meta data information                              |
| `model`       | string  | No       | —       | A model definition                                 |
| `moderation`  | boolean | No       | —       | The moderation flag for this configuration         |
| `name`        | string  | No       | —       | The associated name                                |
| `privacy`     | boolean | No       | —       | The privacy flag for this configuration            |
| `skillsetId`  | string  | No       | —       | The id of the skillset this configuration is using |
| `visibility`  | string  | No       | —       | The bot visibility                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "alias": {
        "type": "string",
        "description": "The unique alias for the instance"
      },
      "backstory": {
        "type": "string",
        "description": "The backstory this configuration is using"
      },
      "blueprintId": {
        "type": "string",
        "description": "The ID of the blueprint"
      },
      "datasetId": {
        "type": "string",
        "description": "The id of the dataset this configuration is using"
      },
      "description": {
        "type": "string",
        "description": "The associated description"
      },
      "meta": {
        "type": "object",
        "description": "Meta data information"
      },
      "model": {
        "type": "string",
        "description": "A model definition"
      },
      "moderation": {
        "type": "boolean",
        "description": "The moderation flag for this configuration"
      },
      "name": {
        "type": "string",
        "description": "The associated name"
      },
      "privacy": {
        "type": "boolean",
        "description": "The privacy flag for this configuration"
      },
      "skillsetId": {
        "type": "string",
        "description": "The id of the skillset this configuration is using"
      },
      "visibility": {
        "type": "string",
        "description": "The bot visibility",
        "enum": [
          "private",
          "protected",
          "public"
        ]
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_create\_bot\_session

Create bot session

**Parameters:**

| Parameter           | Type      | Required | Default | Description                                             |
| ------------------- | --------- | -------- | ------- | ------------------------------------------------------- |
| `botId`             | string    | Yes      | —       | The ID of the bot for this session                      |
| `durationInSeconds` | number    | No       | —       | The maximum amount of time this session will stay open  |
| `messages`          | object\[] | No       | —       | An array of messages to be included in the conversation |
| `meta`              | object    | No       | —       | Meta data information                                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "botId": {
        "type": "string",
        "description": "The ID of the bot for this session"
      },
      "durationInSeconds": {
        "type": "number",
        "description": "The maximum amount of time this session will stay open"
      },
      "messages": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "type": {
              "type": "string",
              "enum": [
                "user",
                "bot",
                "reasoning",
                "context",
                "instruction",
                "backstory",
                "activity"
              ],
              "description": "The type of the message"
            },
            "text": {
              "type": "string",
              "description": "The text of the message"
            }
          },
          "required": [
            "type",
            "text"
          ]
        },
        "description": "An array of messages to be included in the conversation"
      },
      "meta": {
        "type": "object",
        "description": "Meta data information"
      }
    },
    "required": [
      "PCID",
      "botId"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_create\_skillset

Create skillset

**Parameters:**

| Parameter     | Type   | Required | Default | Description                       |
| ------------- | ------ | -------- | ------- | --------------------------------- |
| `alias`       | string | No       | —       | The unique alias for the instance |
| `blueprintId` | string | No       | —       | The ID of the blueprint           |
| `description` | string | No       | —       | The associated description        |
| `meta`        | object | No       | —       | Meta data information             |
| `name`        | string | No       | —       | The associated name               |
| `visibility`  | string | No       | —       | The skillset visibility           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "alias": {
        "type": "string",
        "description": "The unique alias for the instance"
      },
      "blueprintId": {
        "type": "string",
        "description": "The ID of the blueprint"
      },
      "description": {
        "type": "string",
        "description": "The associated description"
      },
      "meta": {
        "type": "object",
        "description": "Meta data information"
      },
      "name": {
        "type": "string",
        "description": "The associated name"
      },
      "visibility": {
        "type": "string",
        "description": "The skillset visibility",
        "enum": [
          "private",
          "protected",
          "public"
        ]
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_create\_skillset\_ability

Create ability

**Parameters:**

| Parameter     | Type   | Required | Default | Description                                      |
| ------------- | ------ | -------- | ------- | ------------------------------------------------ |
| `skillsetId`  | string | Yes      | —       | Skillset Id                                      |
| `blueprintId` | string | No       | —       | The ID of the blueprint                          |
| `botId`       | string | No       | —       | The ID of the bot associated with the ability    |
| `description` | string | No       | —       | The associated description                       |
| `fileId`      | string | No       | —       | The ID of the file associated with the ability   |
| `instruction` | string | No       | —       | The instruction of the ability                   |
| `meta`        | object | No       | —       | Meta data information                            |
| `name`        | string | No       | —       | The associated name                              |
| `secretId`    | string | No       | —       | The ID of the secret associated with the ability |
| `spaceId`     | string | No       | —       | The ID of the space associated with the ability  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "skillsetId": {
        "type": "string",
        "description": "Skillset Id"
      },
      "blueprintId": {
        "type": "string",
        "description": "The ID of the blueprint"
      },
      "botId": {
        "type": "string",
        "description": "The ID of the bot associated with the ability"
      },
      "description": {
        "type": "string",
        "description": "The associated description"
      },
      "fileId": {
        "type": "string",
        "description": "The ID of the file associated with the ability"
      },
      "instruction": {
        "type": "string",
        "description": "The instruction of the ability"
      },
      "meta": {
        "type": "object",
        "description": "Meta data information"
      },
      "name": {
        "type": "string",
        "description": "The associated name"
      },
      "secretId": {
        "type": "string",
        "description": "The ID of the secret associated with the ability"
      },
      "spaceId": {
        "type": "string",
        "description": "The ID of the space associated with the ability"
      }
    },
    "required": [
      "PCID",
      "skillsetId"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_delete\_bot

Delete a bot

**Parameters:**

| Parameter | Type   | Required | Default | Description                 |
| --------- | ------ | -------- | ------- | --------------------------- |
| `botId`   | string | Yes      | —       | The ID of the bot to delete |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "botId": {
        "type": "string",
        "description": "The ID of the bot to delete"
      }
    },
    "required": [
      "PCID",
      "botId"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_delete\_skillset

Delete a skillset

**Parameters:**

| Parameter    | Type   | Required | Default | Description                      |
| ------------ | ------ | -------- | ------- | -------------------------------- |
| `skillsetId` | string | Yes      | —       | The ID of the skillset to delete |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "skillsetId": {
        "type": "string",
        "description": "The ID of the skillset to delete"
      }
    },
    "required": [
      "PCID",
      "skillsetId"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_delete\_skillset\_ability

Delete a ability from a skillset

**Parameters:**

| Parameter    | Type   | Required | Default | Description                     |
| ------------ | ------ | -------- | ------- | ------------------------------- |
| `skillsetId` | string | Yes      | —       | The ID of the skillset          |
| `abilityId`  | string | Yes      | —       | The ID of the ability to delete |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "skillsetId": {
        "type": "string",
        "description": "The ID of the skillset"
      },
      "abilityId": {
        "type": "string",
        "description": "The ID of the ability to delete"
      }
    },
    "required": [
      "PCID",
      "skillsetId",
      "abilityId"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_execute\_skillset\_ability

Execute a skillset ability

**Parameters:**

| Parameter    | Type   | Required | Default | Description                                                                                                                                                                                                                                                                                |
| ------------ | ------ | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `skillsetId` | string | Yes      | —       | The ID of the skillset containing the ability                                                                                                                                                                                                                                              |
| `abilityId`  | string | Yes      | —       | The ID of the ability to execute                                                                                                                                                                                                                                                           |
| `contactId`  | string | No       | —       | The ID of the contact to associate with the execution                                                                                                                                                                                                                                      |
| `input`      | string | No       | —       | The input to process with the ability. This can be structured text such as JSON or YAML for precise parameter control, or unstructured natural language text. When unstructured text is provided, the system will automatically detect and extract the relevant parameters from the input. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "skillsetId": {
        "type": "string",
        "description": "The ID of the skillset containing the ability"
      },
      "abilityId": {
        "type": "string",
        "description": "The ID of the ability to execute"
      },
      "contactId": {
        "type": "string",
        "description": "The ID of the contact to associate with the execution"
      },
      "input": {
        "type": "string",
        "description": "The input to process with the ability. This can be structured text such as JSON or YAML for precise parameter control, or unstructured natural language text. When unstructured text is provided, the system will automatically detect and extract the relevant parameters from the input."
      }
    },
    "required": [
      "PCID",
      "skillsetId",
      "abilityId"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_export\_skillset\_abilities

Export skillset abilities

**Parameters:**

| Parameter    | Type    | Required | Default | Description                      |
| ------------ | ------- | -------- | ------- | -------------------------------- |
| `skillsetId` | string  | Yes      | —       | The ID of the skillset to export |
| `cursor`     | string  | No       | —       | The cursor to use for pagination |
| `order`      | string  | No       | —       | The order of the paginated items |
| `take`       | integer | No       | —       | The number of items to retrieve  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "skillsetId": {
        "type": "string",
        "description": "The ID of the skillset to export"
      },
      "cursor": {
        "type": "string",
        "description": "The cursor to use for pagination"
      },
      "order": {
        "type": "string",
        "description": "The order of the paginated items",
        "enum": [
          "asc",
          "desc"
        ]
      },
      "take": {
        "type": "integer",
        "description": "The number of items to retrieve"
      }
    },
    "required": [
      "PCID",
      "skillsetId"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_fetch\_bot

Fetch a bot

**Parameters:**

| Parameter | Type   | Required | Default | Description                   |
| --------- | ------ | -------- | ------- | ----------------------------- |
| `botId`   | string | Yes      | —       | The ID of the bot to retrieve |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "botId": {
        "type": "string",
        "description": "The ID of the bot to retrieve"
      }
    },
    "required": [
      "PCID",
      "botId"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_fetch\_skillset

Fetch a skillset

**Parameters:**

| Parameter    | Type   | Required | Default | Description                        |
| ------------ | ------ | -------- | ------- | ---------------------------------- |
| `skillsetId` | string | Yes      | —       | The ID of the skillset to retrieve |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "skillsetId": {
        "type": "string",
        "description": "The ID of the skillset to retrieve"
      }
    },
    "required": [
      "PCID",
      "skillsetId"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_fetch\_skillset\_ability

Fetch a ability from a skillset

**Parameters:**

| Parameter    | Type   | Required | Default | Description                       |
| ------------ | ------ | -------- | ------- | --------------------------------- |
| `skillsetId` | string | Yes      | —       | The ID of the skillset            |
| `abilityId`  | string | Yes      | —       | The ID of the ability to retrieve |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "skillsetId": {
        "type": "string",
        "description": "The ID of the skillset"
      },
      "abilityId": {
        "type": "string",
        "description": "The ID of the ability to retrieve"
      }
    },
    "required": [
      "PCID",
      "skillsetId",
      "abilityId"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_list\_bots

Retrieve a list of bots

**Parameters:**

| Parameter | Type    | Required | Default | Description                                             |
| --------- | ------- | -------- | ------- | ------------------------------------------------------- |
| `cursor`  | string  | No       | —       | The cursor to use for pagination                        |
| `order`   | string  | No       | —       | The order of the paginated items                        |
| `take`    | integer | No       | —       | The number of items to retrieve                         |
| `meta`    | object  | No       | —       | Key-value pairs to filter the partner users by metadata |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "cursor": {
        "type": "string",
        "description": "The cursor to use for pagination"
      },
      "order": {
        "type": "string",
        "description": "The order of the paginated items",
        "enum": [
          "asc",
          "desc"
        ]
      },
      "take": {
        "type": "integer",
        "description": "The number of items to retrieve"
      },
      "meta": {
        "type": "object",
        "description": "Key-value pairs to filter the partner users by metadata"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_list\_skillset\_abilities

Retrieve a list of skillset abilities

**Parameters:**

| Parameter    | Type    | Required | Default | Description                      |
| ------------ | ------- | -------- | ------- | -------------------------------- |
| `skillsetId` | string  | Yes      | —       | The ID of the skillset           |
| `cursor`     | string  | No       | —       | The cursor to use for pagination |
| `order`      | string  | No       | —       | The order of the paginated items |
| `take`       | integer | No       | —       | The number of items to retrieve  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "skillsetId": {
        "type": "string",
        "description": "The ID of the skillset"
      },
      "cursor": {
        "type": "string",
        "description": "The cursor to use for pagination"
      },
      "order": {
        "type": "string",
        "description": "The order of the paginated items",
        "enum": [
          "asc",
          "desc"
        ]
      },
      "take": {
        "type": "integer",
        "description": "The number of items to retrieve"
      }
    },
    "required": [
      "PCID",
      "skillsetId"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_list\_skillsets

Retrieve a list of skillsets

**Parameters:**

| Parameter | Type    | Required | Default | Description                                             |
| --------- | ------- | -------- | ------- | ------------------------------------------------------- |
| `cursor`  | string  | No       | —       | The cursor to use for pagination                        |
| `order`   | string  | No       | —       | The order of the paginated items                        |
| `take`    | integer | No       | —       | The number of items to retrieve                         |
| `meta`    | object  | No       | —       | Key-value pairs to filter the partner users by metadata |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "cursor": {
        "type": "string",
        "description": "The cursor to use for pagination"
      },
      "order": {
        "type": "string",
        "description": "The order of the paginated items",
        "enum": [
          "asc",
          "desc"
        ]
      },
      "take": {
        "type": "integer",
        "description": "The number of items to retrieve"
      },
      "meta": {
        "type": "object",
        "description": "Key-value pairs to filter the partner users by metadata"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_search\_bot\_memory

Search memories for a specific bot

**Parameters:**

| Parameter | Type   | Required | Default | Description                              |
| --------- | ------ | -------- | ------- | ---------------------------------------- |
| `botId`   | string | Yes      | —       | The ID of the bot to search memories for |
| `search`  | string | Yes      | —       | The keyword/phrase to search for         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "botId": {
        "type": "string",
        "description": "The ID of the bot to search memories for"
      },
      "search": {
        "type": "string",
        "description": "The keyword/phrase to search for"
      }
    },
    "required": [
      "PCID",
      "botId",
      "search"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_update\_bot

Update bot

**Parameters:**

| Parameter     | Type    | Required | Default | Description                                        |
| ------------- | ------- | -------- | ------- | -------------------------------------------------- |
| `botId`       | string  | Yes      | —       | Bot Id                                             |
| `alias`       | string  | No       | —       | The unique alias for the instance                  |
| `backstory`   | string  | No       | —       | The backstory this configuration is using          |
| `blueprintId` | string  | No       | —       | The ID of the blueprint                            |
| `datasetId`   | string  | No       | —       | The id of the dataset this configuration is using  |
| `description` | string  | No       | —       | The associated description                         |
| `meta`        | object  | No       | —       | Meta data information                              |
| `model`       | string  | No       | —       | A model definition                                 |
| `moderation`  | boolean | No       | —       | The moderation flag for this configuration         |
| `name`        | string  | No       | —       | The associated name                                |
| `privacy`     | boolean | No       | —       | The privacy flag for this configuration            |
| `skillsetId`  | string  | No       | —       | The id of the skillset this configuration is using |
| `visibility`  | string  | No       | —       | The bot visibility                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "botId": {
        "type": "string",
        "description": "Bot Id"
      },
      "alias": {
        "type": "string",
        "description": "The unique alias for the instance"
      },
      "backstory": {
        "type": "string",
        "description": "The backstory this configuration is using"
      },
      "blueprintId": {
        "type": "string",
        "description": "The ID of the blueprint"
      },
      "datasetId": {
        "type": "string",
        "description": "The id of the dataset this configuration is using"
      },
      "description": {
        "type": "string",
        "description": "The associated description"
      },
      "meta": {
        "type": "object",
        "description": "Meta data information"
      },
      "model": {
        "type": "string",
        "description": "A model definition"
      },
      "moderation": {
        "type": "boolean",
        "description": "The moderation flag for this configuration"
      },
      "name": {
        "type": "string",
        "description": "The associated name"
      },
      "privacy": {
        "type": "boolean",
        "description": "The privacy flag for this configuration"
      },
      "skillsetId": {
        "type": "string",
        "description": "The id of the skillset this configuration is using"
      },
      "visibility": {
        "type": "string",
        "description": "The bot visibility",
        "enum": [
          "private",
          "protected",
          "public"
        ]
      }
    },
    "required": [
      "PCID",
      "botId"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_update\_skillset

Update skillset

**Parameters:**

| Parameter     | Type   | Required | Default | Description                       |
| ------------- | ------ | -------- | ------- | --------------------------------- |
| `skillsetId`  | string | Yes      | —       | Skillset Id                       |
| `alias`       | string | No       | —       | The unique alias for the instance |
| `blueprintId` | string | No       | —       | The ID of the blueprint           |
| `description` | string | No       | —       | The associated description        |
| `meta`        | object | No       | —       | Meta data information             |
| `name`        | string | No       | —       | The associated name               |
| `visibility`  | string | No       | —       | The skillset visibility           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "skillsetId": {
        "type": "string",
        "description": "Skillset Id"
      },
      "alias": {
        "type": "string",
        "description": "The unique alias for the instance"
      },
      "blueprintId": {
        "type": "string",
        "description": "The ID of the blueprint"
      },
      "description": {
        "type": "string",
        "description": "The associated description"
      },
      "meta": {
        "type": "object",
        "description": "Meta data information"
      },
      "name": {
        "type": "string",
        "description": "The associated name"
      },
      "visibility": {
        "type": "string",
        "description": "The skillset visibility",
        "enum": [
          "private",
          "protected",
          "public"
        ]
      }
    },
    "required": [
      "PCID",
      "skillsetId"
    ]
  }
  ```
</Expandable>

***

## chatbotkit\_bots\_update\_skillset\_ability

Update a skillset ability

**Parameters:**

| Parameter     | Type   | Required | Default | Description                                      |
| ------------- | ------ | -------- | ------- | ------------------------------------------------ |
| `skillsetId`  | string | Yes      | —       | Skillset Id                                      |
| `abilityId`   | string | Yes      | —       | Ability Id                                       |
| `blueprintId` | string | No       | —       | The ID of the blueprint                          |
| `botId`       | string | No       | —       | The ID of the bot associated with the ability    |
| `description` | string | No       | —       | The associated description                       |
| `fileId`      | string | No       | —       | The ID of the file associated with the ability   |
| `instruction` | string | No       | —       | The text to update the ability with              |
| `meta`        | object | No       | —       | Meta data information                            |
| `name`        | string | No       | —       | The associated name                              |
| `secretId`    | string | No       | —       | The ID of the secret associated with the ability |
| `spaceId`     | string | No       | —       | The ID of the space associated with the ability  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "skillsetId": {
        "type": "string",
        "description": "Skillset Id"
      },
      "abilityId": {
        "type": "string",
        "description": "Ability Id"
      },
      "blueprintId": {
        "type": "string",
        "description": "The ID of the blueprint"
      },
      "botId": {
        "type": "string",
        "description": "The ID of the bot associated with the ability"
      },
      "description": {
        "type": "string",
        "description": "The associated description"
      },
      "fileId": {
        "type": "string",
        "description": "The ID of the file associated with the ability"
      },
      "instruction": {
        "type": "string",
        "description": "The text to update the ability with"
      },
      "meta": {
        "type": "object",
        "description": "Meta data information"
      },
      "name": {
        "type": "string",
        "description": "The associated name"
      },
      "secretId": {
        "type": "string",
        "description": "The ID of the secret associated with the ability"
      },
      "spaceId": {
        "type": "string",
        "description": "The ID of the space associated with the ability"
      }
    },
    "required": [
      "PCID",
      "skillsetId",
      "abilityId"
    ]
  }
  ```
</Expandable>
